silo-llnl (4.11-5) unstable; urgency=medium

  * Restore the NMU discarted by maintainer upload:
    - Rename libraries for 64-bit time_t transition.  Closes: #1062897
    Thanks to locutusofborg
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Apr 2024 12:20:33 +0200

silo-llnl (4.11-4) unstable; urgency=medium

  * Fix implicit function declararation errors. Closes: #1066336

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Mar 2024 16:46:49 +0000

silo-llnl (4.11-3.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 03 Feb 2024 22:00:03 +0000

silo-llnl (4.11-3) unstable; urgency=medium

  * Fix for FTBFS with g++12. Closes: #1017240
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2022 15:09:57 +0100

silo-llnl (4.11-2) unstable; urgency=medium

  * Add build-dep on libpython3-all-dev for python3.10 builds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Nov 2021 14:11:15 +0000

silo-llnl (4.11-1) unstable; urgency=medium

  * New upstream release
    - security-fix.patch merged upstream
    - remove-mpiposix.patch unneeded
    - qt5.patch dropped
    - python3 patches now upstream
  * Update version-script.patch for 4.11
  * Drop obsole qt4-dev-tools conflict
  * Standards-Version: 4.6.0
  * Now configure with CC=mpicc not mpicc++; mpic++ no longer needed for
    Qt to compile, and it breaks Fortran tests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Oct 2021 16:53:49 +0100

silo-llnl (4.10.2.real-9) unstable; urgency=medium

  * Use fpzip on 64-bit archs only for now

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jan 2021 16:49:03 +0000

silo-llnl (4.10.2.real-8) unstable; urgency=medium

  * Enable fpzip compression
  * Standards-Version: 4.5.1
  * Change branches to DEP-14. Point vcs-git to debian/latest branch
  * Add g/gbp.conf file
  * dh_python dep -> dh_sequence_python3
  * Drop --with python3

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Jan 2021 09:33:53 +0000

silo-llnl (4.10.2.real-7) unstable; urgency=medium

  * Fix for FTBFS with python3.8. Closes: #942679
  * Use debhelper-compat (= 12)
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Oct 2019 15:23:27 +0100

silo-llnl (4.10.2.real-6) unstable; urgency=medium

  * Drop python2 for bullseye.
  * Drop obsolete references to qt3.
  * Standards-Version: 4.4.0
  * B-D on gfortran | fortran-compiler

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 12:57:37 +0100

silo-llnl (4.10.2.real-5) unstable; urgency=medium

  * Export missing header files (silo_exports.h, etc)
  * Standards-Version: 4.2.1. No changes required
  * Drop hard-wired 'xz' compression for debian tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Oct 2018 16:43:56 +0100

silo-llnl (4.10.2.real-4) unstable; urgency=medium

  * Drop obsolete "X-Python-Versions > 2.6"
  * Rebuild against python3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Jun 2018 09:42:14 +0100

silo-llnl (4.10.2.real-3) unstable; urgency=medium

  * Mark python-silo as M-A: same
  * Standards-Version: 4.1.4
  * Rebuild against libopenmpi3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Apr 2018 09:04:05 +0100

silo-llnl (4.10.2.real-2) unstable; urgency=medium

  * Add build-dependency on dh-python

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Mar 2018 09:38:50 +0100

silo-llnl (4.10.2.real-1) unstable; urgency=medium

  * Rebuild out of correct upstream release, and bump epoch;
    (previous 4.10.2 was incorrectly merged). Closes: #890496
  * Delete merged /obsolete patches:
    - compile-fixes.patch 
    - dist-undo.patch 
    - sh4-build.patch 
    - testsuite-skip-szip.patch 
    - version-number.patch
  * Standards-Version: 4.1.3
  * Move VCS to salsa.debian.org/
  * Drop obsolete autoreconf from rules

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Feb 2018 11:24:50 +0000

silo-llnl (4.10.2-8) unstable; urgency=medium

  * B-D on libhdf5-mpi-dev, not -openmpi-dev.
  * Standards- Version: 4.1.2; no changes required
  * Build on serial HDF5

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Dec 2017 14:05:48 +0000

silo-llnl (4.10.2-7) unstable; urgency=medium

  * Use debhelper 10.
  * Remove obsolete qt-version.patch
  * Re-enable szip test, now libhdf5 built against libaec
  * Standards-Version: 4.1.1; no changes required
  * Drop dependencies on auto*. not needed with DH_COMPAT=10
  * Enable --with-szlib, add B-D on libaec-dev
  * Set python3-silo as M-A: same
  * Set CONFIG_SHELL=/bin/sh in rules for reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Oct 2017 19:28:42 +0100

silo-llnl (4.10.2-6) unstable; urgency=medium

  * Experimental python3 interface
  * Standards-Version: 3.9.8. No changes required
  * Ack. that homepage URL updated. Closes: #769182.
  * Depend on qtbase5-dev, qtchooser not qt5-default-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Aug 2016 13:33:30 +0100

silo-llnl (4.10.2-5) unstable; urgency=medium

  * Add qt5-defaults to ensure build under Qt5.
  * Ack. FTBFS fixed in -4 upload. Closes: #797414. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Sep 2015 13:27:13 +0100

silo-llnl (4.10.2-4) unstable; urgency=medium

  * Build silex.  
  * Regression: put tools back in /usr/bin not /bin.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2015 16:05:46 +0100

silo-llnl (4.10.2-3) unstable; urgency=medium

  * Fix reported version number. 4.9.1 -> 4.10.2
  * Install tools properly rather than copy from install script.
    Closes: #797414.
  * Move QtGui, QtWidgets to QT_LIBS for saner linking.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Sep 2015 23:20:17 +0100

silo-llnl (4.10.2-2) experimental; urgency=medium

  * Build against hdf5-1.8.15 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Aug 2015 01:17:15 +0100

silo-llnl (4.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6.
  * New homepage: Closes: #769182.
  * Add DBGetObjtypeTag to silo.ver version script. Closes: #772912.
  * Add --enable-install-lite-headers for PDB-lite headers
  * Add Vcs-Git pointing to anonscm.debian.org/debian-science

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Jun 2015 20:36:04 +0100

silo-llnl (4.9.1-3) unstable; urgency=medium

  * Remove unused qt-version.patch
  * Add patch to remove H5*_fapl_mpiposix() calls, no longer present
    in HDF5 1.8.13+
  * Use new HDF5 layout in debian/rules.
  * Update silo.ver version script with 4.9.1 changes.
  * Fix  --with-versioned-symbols patch to activate.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Aug 2014 17:08:11 +0100

silo-llnl (4.9.1-2) unstable; urgency=medium

  * Undo dependencies on python3-*dev until we actually build python3-silo.
    Closes: #751537. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jun 2014 18:33:05 +0100

silo-llnl (4.9.1-1) unstable; urgency=low

  * New upstream release. Closes: #691471.
  * Build against Qt5 rather than Qt4.
  * Now set debhelper dependency to 9. 
  * Set Standards-Version: 3.9.5. No changes required.
  * Patch for typo spotted by Lintian.
  * Now use xz compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 May 2014 22:56:57 +0100

silo-llnl (4.8-13) unstable; urgency=low

  * Enable QT version 4.8.2 as well. Closes: #671614.
  * Pass CPPFLAGS, CFLAGS, LDFLAGS in rules to enable hardening.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Jun 2012 11:46:24 +0100

silo-llnl (4.8-12) unstable; urgency=low

  * Add support for QT version 4.8.1; add build-depends on it.
    Closes: #671614. 
  * Standards-Version: 3.9.3; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jun 2012 12:45:44 +0100

silo-llnl (4.8-11) unstable; urgency=low

  * ld-as-needed patch not robust. Use new dh_autoreconf --as-needed
      method. Closes: #652224

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Dec 2011 13:50:16 +0000

silo-llnl (4.8-10) unstable; urgency=low

  * Don't delete config.status, it breaks 'make distclean'
    Closes: #642782. 
  * Two fixes to fprintf() needed to compile with -Werror=format-security
  * Disable sh4-build patch as not needed now we do 'autoreconf'. 
    Ditto, update qt-version.patch, add-lib-version.patch not to change
    files now autogenerated.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Oct 2011 11:26:00 +0100

silo-llnl (4.8-9) unstable; urgency=low

  * Rename lib from libsilo0 -> libsiloh5-0 to match soname
    _before_ building visit, etc to depend on it.
  * Build with -Wl,--as-needed to remove unwanted dependencies.
  * Remove unnecessary ${shlibs:Depends} from libsilo-dev 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Sep 2011 07:27:03 +0100

silo-llnl (4.8-8) unstable; urgency=low

  * B-D on libtool too.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 11:19:45 +0100

silo-llnl (4.8-7) unstable; urgency=low

  * Don't trust pdbuilder, even after pbuilder --clean.
  * B-D on autoconf,  automake for autoreconf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2011 09:43:46 +0100

silo-llnl (4.8-6) unstable; urgency=low

  * Fixes needed to make autoreconf -fiv work correctly. Closes: #619830. 
  * B-D autoconf-archive to include AX_CHECK_COMPILE_FLAG needed now.
  * Build with mpicc.lam when using LAM. Closes: #639119.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Sep 2011 11:11:02 +0100

silo-llnl (4.8-5) experimental; urgency=low

  * Add Multi-arch support.
  * Add pkgconfig file silo.pc
  * Add versioned symbols. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2011 02:34:13 +0100

silo-llnl (4.8-4) unstable; urgency=low

  * Add dependency on python-all-dev for extensions. Closes: #628820.
  * Check for errors in debian/rules with 'set -e'. Closes: #628818. 
  * Disable python-write test that fails on python2.7. forwrd upstream.
    (note: it appears the code didn't work as planned on 2.6; 
    hence allow as exists rather than disable python2.7).
  * Python2.7 enables HDF5 tests: disable SZIP test, 
     as Debian does not have SZIP for licensing reasons. 
  * Disable HDF5 largefile test (test fails on rounding error using floats) 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jul 2011 20:14:51 +0100

silo-llnl (4.8-3) unstable; urgency=low

  * Include patch by Nobuhiro Iwamatsu to build on SH4. Closes: #609074. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Apr 2011 09:51:26 +0100

silo-llnl (4.8-2) unstable; urgency=low

  * Patch to allow silo-llnl build with Qt version 4.7.2. Closes: #621781.
  * Use python2 in debian/rules to add python dependencies. Closes: #619535. 
  * Include full copy of BSD license in debian/copyright. Closes: #617912. 
  * debian/rules clean: delete autogenerated log files.
  * Enable testsuite. Fix needed for one test (needs bash)
  * Now at Standards-Version: 3.9.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Apr 2011 21:53:28 +0100

silo-llnl (4.8-1) unstable; urgency=low

  * Correct version number; non-native.
  * Build-conflict with qt3-dev-tools, or else qmake may give an obsolete
    version, and silex won't be built.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Jan 2011 00:03:01 +0000

silo-llnl (4.8) unstable; urgency=low

  * Initial release. (Closes: #599747)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Oct 2010 19:20:40 +0100
